Get user auth token
curl --request GET \
--url https://api.us.cr4ce.com/user/{user_slug}/auth-token \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/user/{user_slug}/auth-token"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/user/{user_slug}/auth-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_token": "AbCdEfGhIjKlMnOpQrStUvWxYz012345"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Users
Get user auth token
Get an SSO auth token for the specified user.
GET
/
user
/
{user_slug}
/
auth-token
Get user auth token
Use the token to log the user into the app using SSO.
Creating your own SSO integration
Learn how to integrate Award Force with your own SSO provider.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
Available options:
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Path Parameters
User slug
Pattern:
^[A-Za-z]{8}$Response
Auth token retrieved.
Single-use SSO auth token for logging the user into the app via SSO.
Opaque SSO auth token for the user.
⌘I